Есть отличная удаленная работа для php+codeception+jenkins+allure+docker спецов. 100% remote! Присоединиться к проекту

Подключение Sikuli + IntellijIdea 14.0.3


(Roy Obenon) #1

Я так понимаю Sikuli не работает если JDK > 6 версии?


(Sergey Korol) #2

Старые версии были заточены под 6ю версию. Новая версия работает и с 7й.


(Roy Obenon) #3

Про 8 я так понимаю можно и не спрашивать и винда 8 тоже отпадает?


(rpwheeler) #4

Там же по вышеприведённой ссылке прямо написано:

Windows XP and later up to Windows 8

Как свидетельствует топик на официальном форуме поддержки https://answers.launchpad.net/sikuli/ , Java 8 поддерживается, но есть проблемы.

Р.S. На Win 8.1 гонял самолично, вот с Java 8 не пробовал.


(Sergey Korol) #5

Ну почему же? Зависит от того, что вы собираетесь делать… Создавать пул реквесты с лямбдами в оригинальный репозиторий вам конечно же никто не даст. Но для своих собственных целей вы сможете завести SikuliX и с 8м JDK. В старой версии было принципиальное ограничение - только 6 JDK. Сейчас же оно снято. Win8 конечно же тоже поддерживается.

П.С. У себя на проекте использую JDK8 + последний SikuliX. Отлично работает как с Win7, так и с Win8.


(Roy Obenon) #6

Спасибо за инфу, сейчас буду пробывать


(Roy Obenon) #7

Подскажите есть какие нибудь доки по Sikuli?


(Sergey Korol) #8

QuickStart, на который я ссылался в своем первом сообщении, содержит всю необходимую информацию. Настоятельно рекомендую прочесть его от начала и до конца, дабы не возникало лишних вопросов. :wink:


(Roy Obenon) #9

Принял


(Roy Obenon) #10

А кто какой IDE пользуется?